For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Customer (User ID) Information

The "Get Customer (User ID) Information" endpoint allows customers to retrieve billing and payment details for a specific biller customer, before initiating a payment.

GET /api/Bills/v1/GetCustomerInformation

To retrieve customer information, you need to provide the query parameters CustomerId, GlobalBillerIdentifier, and ProductName.

Headers

Name
Value

Content-Type*

application/json

Authorization*

Bearer

Request-Reference

{unique_reference}

Query Params

Name
Description

CustomerId

The customer's identifier with the biller (e.g. a meter number, smart card number, or phone number, depending on the biller).

GlobalBillerIdentifier

The identifier of the biller to query, e.g. DSTV.

ProductName

The specific product/package to query, e.g. COMPACT_PLUS.

Here is an example request and response with a sample payload sent to the endpoint in Curl format.

Sample Request
curl --location -g '{{baseurl}}/api/Bills/v1/GetCustomerInformation?CustomerId=0101160313181&GlobalBillerIdentifier=DSTV&ProductName=COMPACT_PLUS' \
--header 'Authorization: bearer {token}' \
--header 'request-reference: {unique_reference}' \
--header 'Content-Type: application/json' \
--data ''
Response: 200
{
  "status": true,
  "message": "string",
  "data": {
    "customer": {
      "firstName": "string",
      "middleName": "string",
      "lastName": "string",
      "phoneNumber": "string",
      "totalDue": "string",
      "dueDate": "2024-11-13T01:45:38.915Z",
      "customerName": "string",
      "meterNumber": "string",
      "accountNumber": "string",
      "canVend": true,
      "products": [
        "string"
      ]
    },
    "orderId": "string",
    "minAmount": 0,
    "minPayableAmount": 0,
    "minPayableAmountInKobo": 0,
    "customerMessage": "string",
    "billerName": "string",
    "paid": true,
    "paymentReference": "string",
    "vendStatus": "string",
    "narration": "string",
    "amount": 0,
    "amountInKobo": 0,
    "date": "2024-11-13T01:45:38.915Z",
    "confirmationTime": "2024-11-13T01:45:38.915Z",
    "commission": 0,
    "commissionInKobo": 0
  }
}

Last updated